import { cor } from './Cores';

let larguraDoPilar = 30;
let gap =0;

const Pilar = ({ x, texto }) => (
  // Estrutura
  <g transform={`translate(${x}, 0)`}>
    <rect fill={cor.pilar} x="0" y="65" width={larguraDoPilar} height="95" />
    <text
      fill="white"
      stroke="#000"
      stroke-width="0"
      stroke-opacity="null"
      fill-opacity="null"
      x="10"
      y={75}
      font-size="15"
      font-family="Helvetica, Arial, sans-serif"
      text-anchor="start"
      xml:space="preserve"
      font-weight="bold"
      transform="rotate(-90 54.21516418457032, 108.18827056884766)"
    >
      {texto}
    </text>
  </g>
);

export const Pilares = ({ largura }) => {
  gap = (largura - 4 * larguraDoPilar) / 5;
  const x1 = 1 * gap + 0 * larguraDoPilar;
  const x2 = 2 * gap + 1 * larguraDoPilar;
  const x3 = 3 * gap + 2 * larguraDoPilar;
  const x4 = 4 * gap + 3 * larguraDoPilar;
  console.log("Gap: " + gap);
  return (
    <>
      <Pilar x={x1} texto="Estrutura" />
      <Pilar x={x2} texto="Duração" />
      <Pilar x={x3} texto="Simulação" />
      <Pilar x={x4} texto="Priorização" />
    </>
  