import { cor } from './Cores';

export const ProjetosNoPrazo = ({ largura }) => {
  const meio = largura / 2;
  const altura = 65;
  const zero = 0;
  return (
    <g>
      <path
        fill={cor.PNP}
        d={`m${zero},${altura} l${meio},${-altura} l${meio},${altura} l${-largura},${zero}`}
      />
      <text
        fill="white"
        stroke="#000"
        stroke-width="0"
        stroke-opacity="null"
        x={meio}
        y={altura / 2 + 15}
        font-size="17"
        font-family="Helvetica, Arial, sans-serif"
        text-anchor="middle"
        xml:space="preserve"
        font-weight="bold"
      >
        Projetos no Prazo
      </text>
    </g>
  );
};
