import React from 'react';
import ReactDOM from 'react-dom';

import { ProjetosNoPrazo } from './ProjetosNoPrazo';
import { Pilares } from './Pilares';
import { Fundamentos } from './Fundamentos';

const width = 960;
const height = 500;
const largura = 320;

const Rubens = () => (
  <text
    x="0"
    y="20"
    font-size="10"
    font-family="Helvetica, Arial, sans-serif"
    text-anchor="start"
    font-weight="bold"
  >
    Rubens José Rosa
  </text>
);

const App = () => (
  <svg
    xmlns="http://www.w3.org/2000/svg"
    width={width}
    height={height}
    viewBox="0 0 400 250"
  >
    <g transform="translate(5, 5)">
      <Rubens />
      <ProjetosNoPrazo largura={largura} />
      <Pilares largura={largura} />
      <Fundamentos />
    </g>
  </svg>
);

const rootElement = document.getElementById('root');
ReactDOM.render(<App />, rootElement);